org.apache.maven.scm.command.add

## Class AddScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.add.AddScmResult

All Implemented Interfaces:
  Serializable

    public class AddScmResult
    extends ScmResult

Result of adding files to the SCM

Author:
  Brett Porter
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmResult

`PASSWORD_PLACE_HOLDER`

### Constructor Summary

Constructors
Constructor and Description
`AddScmResult(List<ScmFile> addedFiles, ScmResult result)`
`AddScmResult(String commandLine, List<ScmFile> addedFiles)`
`AddScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ScmFile>` `getAddedFiles()` List with all the added files in the SCM operation.

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddScmResult

    public AddScmResult(String commandLine,
                        String providerMessage,
                        String commandOutput,
                        boolean success)

#### AddScmResult

    public AddScmResult(String commandLine,
                        List<ScmFile> addedFiles)

#### AddScmResult

    public AddScmResult(List<ScmFile> addedFiles,
                        ScmResult result)

### Method Detail

#### getAddedFiles

    public List<ScmFile> getAddedFiles()

List with all the added files in the SCM operation.

Returns:
  non null list of added files